Subject: Re: bug#58149: guix pull error

From: Maxime Devos <[email-masked]>
Date: Thu, 6 Oct 2022 18:00:11 +0200

On 06-10-2022 15:56, zimoun wrote:
> Hi,
> 
> As a rule of thumb, I do not recommend to update Guix via the package
> manager of the foreign distro.  Because 1. no so much foreign distro
> provide such Guix package and 2. the package from this foreign package
> manager can be outdated.

I meant only to update the daemon with the foreign distro, not the rest 
-- for the rest, there is "guix pull".

Also, would be nice if Guix could be built daemon-only + whatever is 
necessary for the initial "guix pull" as proposed previously (elsewhere 
in another thread by someone else), that would reduce the risk of 
'package from foreign distro's Guix can be outdated.

Greetings,
Maxime.